package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.AnimalHeatDao;
import com.huimv.management.entity.AnimalHeatEntity;
import com.huimv.management.service.AnimalHeatService;


@Service("animalHeatService")
public class AnimalHeatServiceImpl extends ServiceImpl<AnimalHeatDao, AnimalHeatEntity> implements AnimalHeatService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<AnimalHeatEntity> page = this.page(
                new Query<AnimalHeatEntity>().getPage(params),
                new QueryWrapper<AnimalHeatEntity>()
        );

        return new PageUtils(page);
    }

}