package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.PeriodDao;
import com.huimv.management.entity.PeriodEntity;
import com.huimv.management.service.PeriodService;


@Service("periodService")
public class PeriodServiceImpl extends ServiceImpl<PeriodDao, PeriodEntity> implements PeriodService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<PeriodEntity> page = this.page(
                new Query<PeriodEntity>().getPage(params),
                new QueryWrapper<PeriodEntity>()
        );

        return new PageUtils(page);
    }

}