package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.PigstyPigDao;
import com.huimv.management.entity.PigstyPigEntity;
import com.huimv.management.service.PigstyPigService;


@Service("pigstyPigService")
public class PigstyPigServiceImpl extends ServiceImpl<PigstyPigDao, PigstyPigEntity> implements PigstyPigService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<PigstyPigEntity> page = this.page(
                new Query<PigstyPigEntity>().getPage(params),
                new QueryWrapper<PigstyPigEntity>()
        );

        return new PageUtils(page);
    }

}