package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.PigstyDao;
import com.huimv.management.entity.PigstyEntity;
import com.huimv.management.service.PigstyService;


@Service("pigstyService")
public class PigstyServiceImpl extends ServiceImpl<PigstyDao, PigstyEntity> implements PigstyService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<PigstyEntity> page = this.page(
                new Query<PigstyEntity>().getPage(params),
                new QueryWrapper<PigstyEntity>()
        );

        return new PageUtils(page);
    }

}