package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.WaterTargetDao;
import com.huimv.management.entity.WaterTargetEntity;
import com.huimv.management.service.WaterTargetService;


@Service("waterTargetService")
public class WaterTargetServiceImpl extends ServiceImpl<WaterTargetDao, WaterTargetEntity> implements WaterTargetService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<WaterTargetEntity> page = this.page(
                new Query<WaterTargetEntity>().getPage(params),
                new QueryWrapper<WaterTargetEntity>()
        );

        return new PageUtils(page);
    }

}