package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.YearPigBaseDao;
import com.huimv.management.entity.YearPigBaseEntity;
import com.huimv.management.service.YearPigBaseService;


@Service("yearPigBaseService")
public class YearPigBaseServiceImpl extends ServiceImpl<YearPigBaseDao, YearPigBaseEntity> implements YearPigBaseService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<YearPigBaseEntity> page = this.page(
                new Query<YearPigBaseEntity>().getPage(params),
                new QueryWrapper<YearPigBaseEntity>()
        );

        return new PageUtils(page);
    }

}