package com.huimv.apiservice.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.apiservice.entity.YearPigHistoryImgEntity;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

/**
 * 年猪历史照片
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
@Mapper
@Repository
public interface YearPigHistoryImgDao extends BaseMapper<YearPigHistoryImgEntity> {

    String getLatestImgByPigEarTagNo(String pigEarTagNo);
}
