package com.huimv.apiservice.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @Author yinhao
 * @Date 2021/5/10 13:33
 * @Description
 */
@Data
public class PigPedigreeMotherVo {

    /**
     * 品种
     */
    private String breed;

    /**
     * 体重
     */
    private Double weight;

    /**
     * 产地
     */
    private String originPlace;

    /**
     * 怀孕日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GTM+8")
    private Date pregnancyDate;

    /**
     * 产子个数
     */
    private Integer childCount;


}
