package com.huimv.apiservice.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.apiservice.entity.SleepStatusEntity;
import com.huimv.apiservice.entity.YearPigBaseEntity;
import com.huimv.apiservice.entity.vo.*;
import com.huimv.apiservice.entity.vo.PigBaseVo;
import com.huimv.apiservice.entity.vo.PigImageVo;
import com.huimv.apiservice.entity.vo.PigPedigreeVo;
import com.huimv.apiservice.entity.vo.PigSportVo;

import java.util.List;

/**
 * @Author yinhao
 * @Date 2021/5/8 17:13
 * @Description
 */
public interface PigService extends IService<YearPigBaseEntity> {


    PigBaseVo getPigInfoByEarTagNo(String pigEarTagNo);

    PigImageVo getImageByEarTagNo(String pigEarTagNo);

    List<PigBaseVo> getListByBreed(String breedName);

    PigPedigreeVo getPigPedigree(String pigEarTagNo);

    PigKeeperVo getKeeper(String pigEarTagNo);

    EnvVo getIndoorEnv(String pigEarTagNo);

    PigSportVo getActivityAmount(String pigEarTagNo);

    SleepStatusEntity getSleepStatus(String pigEarTagNo);
}
