package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.IndoorEnvironmentDao;
import com.huimv.management.entity.IndoorEnvironmentEntity;
import com.huimv.management.service.IndoorEnvironmentService;


@Service("indoorEnvironmentService")
public class IndoorEnvironmentServiceImpl extends ServiceImpl<IndoorEnvironmentDao, IndoorEnvironmentEntity> implements IndoorEnvironmentService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<IndoorEnvironmentEntity> page = this.page(
                new Query<IndoorEnvironmentEntity>().getPage(params),
                new QueryWrapper<IndoorEnvironmentEntity>()
        );

        return new PageUtils(page);
    }

}