package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.OutdoorEnvironmentDao;
import com.huimv.management.entity.OutdoorEnvironmentEntity;
import com.huimv.management.service.OutdoorEnvironmentService;


@Service("outdoorEnvironmentService")
public class OutdoorEnvironmentServiceImpl extends ServiceImpl<OutdoorEnvironmentDao, OutdoorEnvironmentEntity> implements OutdoorEnvironmentService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<OutdoorEnvironmentEntity> page = this.page(
                new Query<OutdoorEnvironmentEntity>().getPage(params),
                new QueryWrapper<OutdoorEnvironmentEntity>()
        );

        return new PageUtils(page);
    }

}