package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.PastureDao;
import com.huimv.management.entity.PastureEntity;
import com.huimv.management.service.PastureService;


@Service("pastureService")
public class PastureServiceImpl extends ServiceImpl<PastureDao, PastureEntity> implements PastureService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<PastureEntity> page = this.page(
                new Query<PastureEntity>().getPage(params),
                new QueryWrapper<PastureEntity>()
        );

        return new PageUtils(page);
    }

}