package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.SleepStatusDao;
import com.huimv.management.entity.SleepStatusEntity;
import com.huimv.management.service.SleepStatusService;


@Service("sleepStatusService")
public class SleepStatusServiceImpl extends ServiceImpl<SleepStatusDao, SleepStatusEntity> implements SleepStatusService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<SleepStatusEntity> page = this.page(
                new Query<SleepStatusEntity>().getPage(params),
                new QueryWrapper<SleepStatusEntity>()
        );

        return new PageUtils(page);
    }

}