package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.SportTimeDao;
import com.huimv.management.entity.SportTimeEntity;
import com.huimv.management.service.SportTimeService;


@Service("sportTimeService")
public class SportTimeServiceImpl extends ServiceImpl<SportTimeDao, SportTimeEntity> implements SportTimeService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<SportTimeEntity> page = this.page(
                new Query<SportTimeEntity>().getPage(params),
                new QueryWrapper<SportTimeEntity>()
        );

        return new PageUtils(page);
    }

}