package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.YearPigHistortWeightDao;
import com.huimv.management.entity.YearPigHistortWeightEntity;
import com.huimv.management.service.YearPigHistortWeightService;


@Service("yearPigHistortWeightService")
public class YearPigHistortWeightServiceImpl extends ServiceImpl<YearPigHistortWeightDao, YearPigHistortWeightEntity> implements YearPigHistortWeightService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<YearPigHistortWeightEntity> page = this.page(
                new Query<YearPigHistortWeightEntity>().getPage(params),
                new QueryWrapper<YearPigHistortWeightEntity>()
        );

        return new PageUtils(page);
    }

}